de.esprit.common.type

## Enum JavaVmType

- java.lang.Object
- - java.lang.Enum<JavaVmType>
  - - de.esprit.common.type.JavaVmType

- All Implemented Interfaces:
    PersistentName, java.io.Serializable, java.lang.Comparable<JavaVmType>

      public enum JavaVmType
      extends java.lang.Enum<JavaVmType>
      implements PersistentName

  This class defines the java runtime types.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JDK`
    `JRE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TOOLS_JAR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JavaVmType` | `fromFile(java.io.File installationDir)`
    `static JavaVmType` | `fromPersistentName(java.lang.String vmTypeStr)`
    `java.lang.String` | `getJvmTypeName()`
    `java.lang.String` | `getPersistentName()` Returns the String value to be stored in the database or file.
    `java.lang.String` | `toString()`
    `static JavaVmType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JavaVmType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JRE

          public static final JavaVmType JRE

    - #### JDK

          public static final JavaVmType JDK

  - ### Field Detail

    - #### TOOLS_JAR

          public static final java.lang.String TOOLS_JAR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static JavaVmType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JavaVmType c : JavaVmType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JavaVmType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getJvmTypeName

          public java.lang.String getJvmTypeName()

    - #### getPersistentName

          public java.lang.String getPersistentName()

      Description copied from interface: `PersistentName`
      Returns the String value to be stored in the database or file. Note that the implementing Enum must also have a static method named fromPersistentName(String). This ensures that the Enum can be instantiated from the String read from database or file.
      Specified by:
        `getPersistentName` in interface `PersistentName`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<JavaVmType>`

    - #### fromFile

          public static JavaVmType fromFile(java.io.File installationDir)

    - #### fromPersistentName

          public static JavaVmType fromPersistentName(java.lang.String vmTypeStr)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.